package com.pcloud.book.book.dao;

import com.pcloud.book.book.entity.SearchRecordDis;
import com.pcloud.book.book.vo.SearchBookVO;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;
import java.util.Map;

public interface SearchRecordDisDao extends BaseDao<SearchRecordDis> {
    SearchRecordDis getByCondition(Long wechatUserId, String wxId, String content);

    void updateUserDeleteByWxId(String wxId, Boolean userDelete);

    void updateUserDeleteByWechatUserId(Long wechatUserId, Boolean userDelete);

    Map<String, SearchRecordDis> getSearchMap(List<String> searchContentList);
}
